/* Fonts
==================== */

@font-face {
    font-family: ClearSans;
    src: url('../fonts/ClearSans-Regular.eot');
    src: url('../fonts/ClearSans-Regular.eot?#iefix')
        format('embedded-opentype'),
        url('../fonts/ClearSans-Regular.woff') format('woff'),
        url('../fonts/ClearSans-Regular.ttf') format('truetype'),
        url('../fonts/ClearSans-Regular.svg#open_sans') format('svg');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: ClearSans;
    src: url('../fonts/ClearSans-Bold.eot');
    src: url('../fonts/ClearSans-Bold.eot?#iefix') format('embedded-opentype'),
        url('../fonts/ClearSans-Bold.woff') format('woff'),
        url('../fonts/ClearSans-Bold.ttf') format('truetype'),
        url('../fonts/ClearSans-Bold.svg#open_sansbold') format('svg');
    font-weight: bold;
    font-style: normal;
}

@font-face {
    font-family: ClearSans;
    src: url('../fonts/ClearSans-BoldItalic.eot');
    src: url('../fonts/ClearSans-BoldItalic.eot?#iefix')
        format('embedded-opentype'),
        url('../fonts/ClearSans-BoldItalic.woff') format('woff'),
        url('../fonts/ClearSans-BoldItalic.ttf') format('truetype'),
        url('../fonts/ClearSans-BoldItalic.svg#open_sansbold_italic')
        format('svg');
    font-weight: bold;
    font-style: italic;
}

@font-face {
    font-family: ClearSans;
    src: url('../fonts/ClearSans-Italic.eot');
    src: url('../fonts/ClearSans-Italic.eot?#iefix') format('embedded-opentype'),
        url('../fonts/ClearSans-Italic.woff') format('woff'),
        url('../fonts/ClearSans-Italic.ttf') format('truetype'),
        url('../fonts/ClearSans-Italic.svg#open_sansitalic') format('svg');
    font-weight: normal;
    font-style: italic;
}

/* Generic
==================== */

:root {
    --satnogs-color-primary: #656fdb;
    --satnogs-color-dark: #4d4e59;
    --satnogs-color-text: #7c81b2;
    --satnogs-color-background: #f2f2f7;
    --satnogs-color-header: #f2f2f7;
    --satnogs-color-border: #f2f2f7;
    --satnogs-color-white: #f2f2f7;
    --satnogs-color-card-background: #f2f2f7;
    --satnogs-color-icon: #656fdb;
    --satnogs-color-headline: #656fdb;
    --satnogs-color-menu-background: #f2f2f7;
    --satnogs-color-menu-text: #4d4e59;
    --satnogs-color-menu-hover: #656fdb;
    --color-scheme-background: white;
    --color-scheme-text-color: #4d4e59;
}

.row {
    margin-left: 0 !important; /* stylelint-disable-line declaration-no-important */
    margin-right: 0 !important; /* stylelint-disable-line declaration-no-important */
}

.satellite-title {
    font-weight: bold;
    font-size: 1.2em;
    color: var(--satnogs-color-dark);
}

.text-satnogs-white {
    color: var(--satnogs-color-white);
}

.text-satnogs-dark {
    color: var(--satnogs-color-dark);
}

.text-satnogs-text {
    color: var(--satnogs-color-text);
}

.text-satnogs-background {
    color: var(--satnogs-color-background);
}

.text-satnogs-primary {
    color: var(--satnogs-color-primary);
}

.text-satnogs-active {
    color: #3c763d;
}

.text-satnogs-inactive {
    color: #a94442;
}

.background-satnogs {
    background-color: var(--satnogs-color-background);
}

.background-satnogs-light {
    background-color: var(--satnogs-color-white);
}

.background-satnogs-primary {
    background-color: var(--satnogs-color-primary);
}

.background-satnogs-header {
    background-color: var(--satnogs-color-header);
}

.text-satnogs-header {
    color: var(--satnogs-color-text);
}

.text-satnogs {
    color: var(--satnogs-color-text);
}

.text-satnogs-headline {
    color: var(--satnogs-color-headline);
}

.satnogs-icon {
    color: var(--satnogs-color-icon);
}

.c-app:not(.c-legacy-theme):not(.c-dark-theme) .c-header.c-header-fixed {
    border: 0;
    box-shadow: 0 2px 2px 0 rgba(60, 75, 100, 0.14),
        0 3px 1px -2px rgba(60, 75, 100, 0.12),
        0 1px 5px 0 rgba(60, 75, 100, 0.2);
}

#map {
    min-height: 250px;
    position: relative;
    top: 0;
    bottom: 0;
    width: 100%;
    border-radius: 5px;
}

.mapbox-improve-map,
.mapboxgl-ctrl-bottom-left {
    display: none;
}

.mapboxgl-canvas-container {
    height: 85vh;
}

.satellite-card-body a:link,
.satellite-card-body a:visited,
.satellite-card-body a:hover {
    color: var(--color-scheme-text-color);
    text-decoration: none;
}

.satellite-card-body-row {
    width: 40px;
}

.satellite-img-full {
    max-width: 100%;
    max-height: 250px;
    border-radius: 5px;
}

.tle-set-container {
    overflow: auto;
}

.tle-set {
    border: 1px black solid;
    width: max-content;
}

.c-avatar {
    position: relative;
    display: inline-flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    border-radius: 50em;
    width: 36px;
    height: 36px;
    font-size: 14.4px;
}

.c-avatar .c-avatar-status {
    width: 10px;
    height: 10px;
}

.c-avatar-img {
    width: 100%;
    height: auto;
    border-radius: 50em;
}

.c-avatar-status {
    position: absolute;
    bottom: 0;
    display: block;
    border: 1px solid #fff;
    border-radius: 50em;
}

.card-satnogs,
.card-satnogs > a,
.jumbotron-satnogs {
    color: var(--satnogs-color-dark);
}

.card-satnogs.card-outline {
    border-top: 3px solid var(--satnogs-color-primary);
}

.card-satnogs.card-outline-tabs > .card-header a:hover {
    border-top: 3px solid #dee2e6;
}

.card-satnogs.card-outline-tabs > .card-header a.active {
    border-top: 3px solid var(--satnogs-color-primary);
}

.sat-menu-panel {
    position: relative;
}

[class*='sidebar-dark'] .sat-menu-panel {
    border-top: 1px solid #4f5962;
}

[class*='sidebar-light'] .sat-menu-panel {
    border-top: 1px solid #dee2e6;
}

.sat-menu-panel,
.sat-menu-panel .info {
    overflow: hidden;
    white-space: nowrap;
}

.sat-menu-panel .image {
    display: inline-block;
    padding-left: 0.8rem;
}

.sat-menu-panel img {
    height: auto;
    width: 2.1rem;
}

.sat-menu-panel .info {
    display: inline-block;
    padding: 5px 5px 5px 10px;
}

.sat-menu-panel .status,
.sat-menu-panel .dropdown-menu {
    font-size: 0.875rem;
}

.sat-menu-panel .sat-name {
    color: #c2c7d0;
    font-weight: bold;
}

.navbar-nav > .nav-item > .nav-link.active,
.nav > .nav-item > .nav-link.active,
.sidebar-dark-primary .nav-sidebar > .nav-item > .nav-link.active,
.sidebar-light-primary .nav-sidebar > .nav-item > .nav-link.active {
    background-color: var(--satnogs-color-primary);
    color: #fff;
}

.nav-pills .nav-link:not(.active):hover {
    color: var(--satnogs-color-primary);
}

.dropdown-item.active, .dropdown-item:active {
    background-color: var(--satnogs-color-primary);
}

.brand-text {
    /* color: var(--satnogs-color-primary); */
    color: #b9b9b9;
    font-weight: bold;
}

a,
.user > a:hover {
    color: var(--satnogs-color-primary);
}

.user > a {
    color: rgba(0, 0, 0, 0.5);
}

.page-item.active .page-link {
    z-index: 3;
    color: #fff;
    background-color: var(--satnogs-color-primary);
    border-color: var(--satnogs-color-primary);
}

.page-link {
    color: var(--satnogs-color-primary);
    background-color: #fff;
    border: 1px solid #dee2e6;
}

.satnogs-nav-sat {
    font-size: small;
}

.satnogs-nav-sat > .nav-link {
    padding-bottom: 0;
}

.satnogs-nav-sat .nav-link {
    padding: 0;
    line-height: 1;
}

.satnogs-nav-sat > .nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: var(--satnogs-color-primary);
}

.satnogs-nav-sat > .nav-pills .nav-link:not(.active):hover {
    color: var(--satnogs-color-primary);
}

.satnogs-nav-sat > .nav-tabs .nav-link.active, .nav-tabs .show > .nav-link {
    color: #fff;
    background-color: var(--satnogs-color-primary);
    padding-top: 2px;
}

.satnogs-nav-sat > .nav-tabs .nav-link:not(.active):hover {
    color: var(--satnogs-color-primary);
}

.navbar-nav > .nav-item > .brand-link {
    padding: 0 0 0 0;
}

.navbar-menu-logo {
    max-height: 30px;
    float: none;
}

.nav-sidebar > .nav-item .nav-icon {
    font-size: 24px;
}

.small-box-satnogs {
    background-color: var(--satnogs-color-text);
    color: rgba(255, 255, 255, .8);
}

.sat-menu-panel > .image > .fas {
    color: var(--satnogs-color-primary);
}

.timeline > .time-label > .background-satnogs-primary,
.timeline > div > .background-satnogs-primary {
    background-color: var(--satnogs-color-primary);
    color: rgba(255, 255, 255, .8);
}

.nav-sidebar .nav-item > .nav-link.disabled {
    color: #6c757d;
    pointer-events: none;
    cursor: default;
}

.freqlabel {
    display: inline-block;
    width: 75px;
    padding: 3px;
}

.btn-satnogs-primary,
.badge-satnogs-primary {
    background-color: var(--satnogs-color-primary);
    color: rgba(255, 255, 255, .8);
}

.nav-link.active > .badge-satnogs-primary {
    color: rgba(255, 255, 255, .8);
    background-color: var(--satnogs-color-text);
}

.btn-satnogs {
    color: var(--satnogs-color-dark);
}

.btn-navbar-satnogs {
    color: #939ba2;
    opacity: 1;
    border: 1px solid #56606a;
}

a.dropdown-item {
    color: var(--satnogs-color-dark);
}

.transmitter-element-suggest {
    margin-bottom: 10px;
}

[class*='sidebar-dark'] .user-panel {
    border-bottom: none;
}

[class*='sidebar-dark'] .satnogs-sidebar-footer,
[class*='sidebar-dark'] .satnogs-sidebar-footer a {
    color: rgba(255, 255, 255, .5);
    font-size: .7rem;
    margin-bottom: .2rem;
}

.toasts-top-right {
    position: absolute;
    right: 1rem;
    top: 4.25rem;
}

.toast.alert-warning > .toast-header {
    background-color: rgba(255, 255, 255, .2);
    color: #000;
}

.tooltip-inner {
    font-size: 11px;
}

.first-card {
    margin-top: 1rem;
}

.card-satnogs-header {
    background-color: var(--satnogs-color-text) !important; /* stylelint-disable-line declaration-no-important */
}

.satnogs-link-btn {
    background-color: var(--satnogs-color-text);
    border-color: var(--satnogs-color-text);
}

.satnogs-link-btn:hover {
    background-color: var(--satnogs-color-primary);
    border-color: var(--satnogs-color-primary);
}

#nav-logo {
    margin-top: .25rem;
    margin-left: 2rem;
    float: none;
    max-height: 20px;
    opacity: .9;
}

@media (min-width: 576px) {

    .card-columns {
        column-count: 1;
    }
}

@media (min-width: 768px) {

    .card-columns {
        column-count: 2;
    }
}

@media (min-width: 992px) {

    .card-columns {
        column-count: 2;
    }
}

@media (min-width: 1200px) {

    .card-columns {
        column-count: 3;
    }
}

.helper-icon {
    opacity: .7;
}

blockquote {
    border-left: .7rem solid var(--satnogs-color-primary);
}

.bg-satnogs-info {
    color: var(--satnogs-color-white);
    background-color: var(--satnogs-color-text);
}

.satellite-status-icon {
    width: 60px;
    border-bottom-left-radius: 0.25rem;
}

.contributor-list {
    max-height: 600px;
    overflow-y: scroll;
}

/* taken from https://accessibility.oit.ncsu.edu/it-accessibility-at-nc-state/developers/accessibility-handbook/mouse-and-keyboard-events/skip-to-main-content/ */

a.skip-main {
    left: -999px;
    position: absolute;
    top: auto;
    width: 1px;
    height: 1px;
    overflow: hidden;
    z-index: -999;
}

/* taken from https://accessibility.oit.ncsu.edu/it-accessibility-at-nc-state/developers/accessibility-handbook/mouse-and-keyboard-events/skip-to-main-content/ */

a.skip-main:focus, a.skip-main:active {
    color: #fff;
    background-color: #000;
    left: auto;
    top: auto;
    width: 30%;
    height: auto;
    overflow: auto;
    margin: 10px 35%;
    padding: 5px;
    border-radius: 15px;
    border: 4px solid yellow;
    text-align: center;
    font-size: 1.2em;
    z-index: 999;
}

.sidebar a:focus {
    font-weight: bold;
}

[class*='sidebar-dark'] .search-label {
    color: rgba(255, 255, 255, .5);
    font-size: .7rem;
    margin-bottom: .2rem;
}

.transmitters-chart {
    position: relative;
    font-size: 14px;
    --color-text: #4d4e59;
    --color-axis: #dee2e6;
    --color-transmitter: #7c82b9;
    --color-transceiver: #5cb85c;
    --color-transponder: #fff3cd;
    --color-violator: #fb8eb1;
}

.transmitters-chart .color-transmitter {
    color: var(--color-transmitter);
}

.transmitters-chart .color-transceiver {
    color: var(--color-transceiver);
}

.transmitters-chart .color-transponder {
    color: var(--color-transponder);
}

.transmitters-chart .color-violator {
    color: var(--color-violator);
}

.transmitters-chart .color-inactive {
    filter: opacity(30%);
}

.transmitters-chart .chart-tooltip {
    position: absolute;
    left: 0;
    top: 0;
    pointer-events: none;
    background-color: rgba(255, 255, 255, 0.9);
    padding: 0.5rem 0.75rem;
    border-radius: 0.25rem;
    border: 1px solid var(--color-text);
    color: var(--color-text);
    opacity: 0;
    transition: opacity 0.2s ease;
}

.transmitters-chart .chart-tooltip.color-transmitter {
    border-color: var(--color-transmitter);
}

.transmitters-chart .chart-tooltip.color-transceiver {
    border-color: var(--color-transceiver);
}

.transmitters-chart .chart-tooltip.color-transponder {
    border-color: var(--color-transponder);
}

.transmitters-chart .chart-tooltip.show {
    opacity: 1;
}

.transmitters-chart .chart-tooltip td:first-child {
    padding-right: 0.5rem;
}

.transmitters-chart .chart-tooltip td:last-child {
    text-align: right;
}

.transmitters-chart .chart-legend {
    display: flex;
    margin-left: 20px;
}

.transmitters-chart .legend-item {
    margin-right: 1.5rem;
    display: flex;
    align-items: center;
}

.transmitters-chart .legend-item:last-child {
    margin-right: 0;
}

.transmitters-chart .legend-swatch {
    width: 14px;
    height: 14px;
    background-color: currentColor;
    margin-right: 0.5rem;
}

.transmitters-chart .legend-value {
    color: var(--color-text);
}

.transmitters-chart .axis {
    font-family: inherit;
    color: var(--color-text);
}

.transmitters-chart .axis__unit {
    font-size: 14px;
}

.transmitters-chart .axis path,
.transmitters-chart .axis line {
    stroke: var(--color-axis);
}

.transmitters-chart .bar {
    fill: currentColor;
}

.transmitters-chart .bar:hover {
    stroke: var(--color-text);
}

.transmitters-separator {
    display: flex;
    align-items: center;
    text-align: center;
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.transmitters-separator::before,
.transmitters-separator::after {
    content: '';
    flex: 1;
    border-bottom: 1px solid #dee2e6;
}

.transmitters-separator:not(:empty)::before {
    margin-right: .25em;
}

.transmitters-separator:not(:empty)::after {
    margin-left: .25em;
}

.transmitters-separator > div {
    margin-left: .75rem;
    margin-right: .75rem;
}

.custom-control-input-themed:focus ~ .custom-control-label::before {
    border-color: var(--satnogs-color-primary);
    box-shadow: 0 0 0 0.2rem rgba(var(--satnogs-color-primary), 0.25);
}

.custom-control-input-themed:checked ~ .custom-control-label::before {
    border-color: var(--satnogs-color-primary);
    background-color: var(--satnogs-color-primary);
}

.custom-control-input-themed:focus:not(:checked) ~ .custom-control-label::before {
    border-color: var(--satnogs-color-text);
}

.custom-control-input-themed:not(:disabled):active ~ .custom-control-label::before {
    background-color: var(--satnogs-color-background);
    border-color: var(--satnogs-color-dark);
}

.custom-control-label {
    font-weight: normal;
    margin-top: auto;
    margin-bottom: auto;
}

.latest-tle-warning {
    text-align: center;
}

.suggestion-row-approved {
    background-color: rgba(40, 167, 70, 0.3);
    color: rgb(31, 45, 61);
}

.suggestion-row-rejected {
    background-color: rgba(220, 53, 69, 0.3);
    color: rgb(31, 45, 61);
}

.invalid {
    display: flex;
    align-items: center;
    padding-left: .5rem;
    color: #dc3545;
}

.invalid .help-block {
    margin-bottom: .5rem;
}
